Skip to main content
GET
/
api
/
v1
/
app-conversations
/
start-tasks
/
search
Search Start Tasks
curl --request GET \
  --url https://app.all-hands.dev/api/v1/app-conversations/start-tasks/search \
  --header 'X-Access-Token: <api-key>'
{
  "items": [
    {
      "created_by_user_id": "<string>",
      "request": {
        "sandbox_id": "<string>",
        "conversation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "initial_message": {
          "role": "user",
          "content": [
            {
              "text": "<string>",
              "cache_prompt": false,
              "type": "text"
            }
          ],
          "run": false
        },
        "system_message_suffix": "<string>",
        "processors": [
          {
            "kind": "<string>",
            "github_view_data": {},
            "should_request_summary": true,
            "inline_pr_comment": false
          }
        ],
        "llm_model": "<string>",
        "selected_repository": "<string>",
        "selected_branch": "<string>",
        "git_provider": "github",
        "suggested_task": {
          "git_provider": "github",
          "task_type": "MERGE_CONFLICTS",
          "repo": "<string>",
          "issue_number": 123,
          "title": "<string>"
        },
        "title": "<string>",
        "trigger": "resolver",
        "pr_number": [
          123
        ],
        "parent_conversation_id": "<string>",
        "agent_type": "default",
        "public": true,
        "plugins": [
          {
            "source": "<string>",
            "ref": "<string>",
            "repo_path": "<string>",
            "parameters": {}
          }
        ]
      },
      "id": "<string>",
      "status": "WORKING",
      "detail": "<string>",
      "app_conversation_id": "<string>",
      "sandbox_id": "<string>",
      "agent_server_url": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z"
    }
  ],
  "next_page_id": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://allhandsai-add-v1-api-reference.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

X-Access-Token
string
header
required

Query Parameters

conversation_id__eq
string<uuid> | null
created_at__gte
string<date-time> | null
sort_order
enum<string>
default:CREATED_AT_DESC
Available options:
CREATED_AT,
CREATED_AT_DESC,
UPDATED_AT,
UPDATED_AT_DESC
page_id
string | null
limit
integer
default:100
Required range: x <= 100

Response

Successful Response

items
AppConversationStartTask · object[]
required
next_page_id
string | null